Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Subscription Billing

Get Billing Plan

GET
/public/api/v1/subscriptions/billing/plans/{planId}

Returns the specific billing plan from its id

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

planIdstring
Required

The id of the plan to fetch.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/public/api/v1/subscriptions/billing/plans/string"
{  "billingPlan": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "instantCapture": "OFF",    "name": "string",    "color": "string",    "emoji": "string",    "amount": 0,    "currency": "str",    "maxAttempts": 0,    "interval": {      "period": "MONTH",      "frequency": 1    },    "createdAt": "2019-08-24T14:15:22Z"  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}